schema {
    query: Query
    mutation: Mutation
}

type Query {
    getClient(_id: ID!): Client
    getClients: [Client]

}

type Mutation {

    register (input: ClientInput): Client
    updateClient(_id: ID!, input: ClientInput): Client
    removeClient(_id: ID!): Client

}

scalar DateTime
scalar EmailAddress
scalar URL


input ClientInput {
    client_id: String
    client_name: String
    client_secret: String
    client_secret_expires_at: String
    application_type: String
    grant_types: [String]
    contacts: String
    api_uri: String
    uri: String
    external_system: String
    external_token: String
}

type Client{
    _id: ID
    client_id: String
    client_name: String
    client_secret: String
    client_secret_expires_at: String
    application_type: String
    grant_types: [String]
    contacts: String
    uri: String
    api_uri: String
    external_system: String
    external_token: String
}